GET api/CosEccSummary/GetAllExamComponentList?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfExamcomponentandorderDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of ExamcomponentandorderDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"ComponentId": 2,
"ComponentName": "sample string 3",
"ValidFlag": true,
"CaseNo": 5,
"Selected": true,
"Type": 7,
"IsDischarged": true,
"DischargeDateTime": "2026-06-20T03:01:00.5595904-07:00",
"DischargeId": 9,
"OrderDescription": "sample string 10",
"ScheduleDate": "2026-06-20T03:01:00.5595904-07:00",
"CompanyCode": "sample string 11",
"OrderCategoryId": 1,
"Status": 1,
"CancelledbyUserName": "sample string 12"
},
{
"Id": 1,
"ComponentId": 2,
"ComponentName": "sample string 3",
"ValidFlag": true,
"CaseNo": 5,
"Selected": true,
"Type": 7,
"IsDischarged": true,
"DischargeDateTime": "2026-06-20T03:01:00.5595904-07:00",
"DischargeId": 9,
"OrderDescription": "sample string 10",
"ScheduleDate": "2026-06-20T03:01:00.5595904-07:00",
"CompanyCode": "sample string 11",
"OrderCategoryId": 1,
"Status": 1,
"CancelledbyUserName": "sample string 12"
}
],
"totalCount": 3
}